What is SpinFire Reader?

Actify SpinFire Reader is a graphics viewer capable of running as a plug-in inside a Web browser of Microsoft Office application or as powerful stand-alone application on your Microsoft Windows desktop. With SpinFire Reader, you can look at 2D drawings and 3D models without the need for the original CAD program used to create them. You can even take measurements and cross-sections of a model. SpinFire Reader reads the .3D file format generated by Actify SpinFire Professional or Actify Server from native CAD files.

See www.actify.com for information about publishing CAD files into the .3D format.

Note: If running Actify Reader on Windows XP Service Pack 2, see Windows XP Service Pack 2 Users

What Is SpinFire Reader?

Desktop Mode Vs. Embedded Mode

Keyboard Shortcuts for Rotate, Pan, and Zoom

SpinFire Reader Desktop Interface

Document Toolbar

Right-Click Menu

Windows XP Service Pack 2 Users

Copyright © 2002-2005 Actify, Inc. All rights reserved worldwide. Actify and SpinFire are trademarks of Actify, Inc. All other brand and product names may be trademarks or registered trademarks of their respective owners.


Desktop Mode Vs. Embedded Mode

SpinFire Reader works as a stand-alone desktop application as well as a plug-in for .3D files embedded inside an Web page or a Microsoft Office document. The interface used to call commands differs in each mode.

Desktop Mode

In desktop mode SpinFire Reader offers the user a rich graphical user interface surrounding the graphics area. The SpinFire Reader Desktop Interface page explains the buttons and toolbars used to call commands in desktop mode. When you open a local .3D file on your computer, SpinFire Reader will open in desktop mode.

Embedded Mode

When a SpinFire document is hosted inside a Web (HTML) page or a Microsoft Office document, SpinFire Reader will run in embedded mode. In embedded mode, all commands are called from the right-click menu opened by clicking the right mouse button inside the model's graphic area. A Web designer may customize the options on SpinFire Reader's right-click menu or add additional tools on the Web page. When SpinFire Reader is running in embedded mode, you can open it in desktop mode by double-clicking the graphic area. (For examples of SpinFire .3D models hosted on Web pages, check out Actify's 3D Gallery.)

What Is SpinFire Reader?

Desktop Mode Vs. Embedded Mode

Keyboard Shortcuts for Rotate, Pan, and Zoom

SpinFire Reader Desktop Interface

Document Toolbar

Right-Click Menu

Windows XP Service Pack 2 Users


Keyboard Shortcuts

Keyboard Shortcuts for Rotate, Pan, and Zoom

The following commands are available in both desktop and embedded modes.

3D Documents

  • Rotate—Drag
  • Pan—Shift+Drag (May also pan by holding down the mouse wheel button, if available)
  • Zoom—Ctrl+Drag (May also zoom by clicking in the Viewport and rotating the mouse wheel, if available)

2D Documents

  • Pan—Drag
  • Rotate—Alt+Drag
  • Zoom—Ctrl+Drag (May also zoom by clicking in the Viewport and rotating your mouse wheel, if available)

You may change the default drag command by right-clicking the graphics area and selecting Rotate, Pan, or Zoom.

What Is SpinFire Reader?

Desktop Mode Vs. Embedded Mode

Keyboard Shortcuts for Rotate, Pan, and Zoom

SpinFire Reader Desktop Interface

Document Toolbar

Right-Click Menu

Windows XP Service Pack 2 Users


SpinFire Reader Desktop Interface


Document Toolbar

The SpinFire Reader Desktop Interface features a document toolbar. The buttons and menus that appear on the document toolbar will differ according to the type of document that is currently open:

  • 3D Document: All the commands listed here (except Show Grid) will be available
  • 2D Raster Image Document: Only the Print, Zoom Fit, and Show Grid buttons will be available
  • Other Document Formats: No document toolbar commands will be available

3D Toolbar

2D Raster Image Toolbar

Print

  • Print: Prints the current document.

Zoom Menu

  • Zoom Fit: Pans and zooms to provide a close-up view of the viewer contents while still fitting the contents entirely within the viewport.
  • Zoom Window: Zooms on a rectangular area you select by dragging across the model.
  • Focus on Part: Zooms on a part in an assembly and sets the center of that part to the center of your view.

Show Grid

  • Show Grid: (2D Documents Only) Enables and disables the display of the grid on the page.

Previous View

  • Previous View: Switches to the previous view listed in the View Menu.

View Menu

  • 4 Viewports: Divides the viewer into four equal viewports
  • 3+1 Viewports: Divides the viewer into small viewports on the left, one large Viewport on the right.

  • Enable Perspective: Alternates between Perspective and Isometric projection.

    • The following seven commands offer standard isometric views:

  • 2D Standard
  • Top
  • Bottom
  • Front Isometric
  • Back
  • Right
  • Left

  • User Views: A view of the model that has been saved by a user. A 3D document may contain several users views or none.

Next View

  • Next View: Switches to the next view listed in the View Menu.

Cross-Section Menu

  • Enable Section: Turns a cross-section on and off. You can rotate or translate a cross-section plane by dragging one of its selection handles.
  • YZ Section Plane: Creates a section plane along the YZ axis.
  • XZ Section Plane: Creates a section plane along the XZ axis.
  • XY Section Plane: Creates a section plane along the XY axis.

Measurement Menu

When the following measurements are selected, instructions will appear at the right of the toolbar. Once the operation is completed, the measurement will appear at the left of the toolbar. You may select the text in the measurement field and copy it to your Windows clipboard.

  • Vertex Coordinates: Measures the X, Y, and Z coordinates of a point on the model.
  • Edge Length: Measures an existing straight line on the model. A line will indicate when the pointer is properly positioned over an edge.
  • Vertex to Vertex Distance: Measures the distance between two points you select on the model.
    • Vertex to Vertex Distance Along X: Measures the distance between two points on the model along the X-axis.
    • Vertex to Vertex Distance Along Y: Measures the distance between two points on the model along the Y-axis.
    • Vertex to Vertex Distance Along Z: Measures the distance between two points on the model along the Z-axis.
  • Part Extents: Measures the extent of a part along the X-, Y-, and Z-axes.
  • Scene Extents: Measures the extent of the entire geometry along the X-, Y-, and Z-axes.
  • Measurement Field: Displays a completed measurement. The measurement field appears at the right of the toolbar upon completion of a measurement operation. You may select the text in the measurement field and copy it to your Windows clipboard
  • Units: Changes the unit of measurement used in the measurement field.

What Is SpinFire Reader?

Desktop Mode Vs. Embedded Mode

Keyboard Shortcuts for Rotate, Pan, and Zoom

SpinFire Reader Desktop Interface

Document Toolbar

Right-Click Menu

Windows XP Service Pack 2 Users


Right-Click Menu

A menu similar to the following is available by right-clicking the graphics area:

The specific commands available will differ somewhat depending on whether a 3D or 2D document is active and whether the Reader is in desktop mode or embedded mode.

  • Rotate/Pan/Zoom: Selects the default drag command.
  • Move Section: Moves an enabled section plane.
  • Zoom Window Zooms in on a rectangular area you select by dragging across the viewport.
  • Zoom Extents: Pans and zooms to provide a close-up view of the viewer contents while still fitting the contents entirely within the viewport.
  • Focus:
    • Focus on Part: (3D Documents Only) Zooms in on a part places the part's center at the center of your view.
    • Focus on Point: (3D Documents Only) Shifts the center of the view to a selected vertex point on the model. The center of the view is also the center of rotation.
  • Views: (Embedded Mode Only; 3D Document Only) Opens a submenu of Standard Views and User Views.
  • Show Section: (Embedded Mode Only; 3D Document Only) Turns a cross-section on and off. You can rotate or translate a cross-section plane by dragging one of its selection handles.
  • Background:
    • Color: (3D Documents Only) Offers a selection of background colors.
    • Gradient: (3D Documents Only) Determines whether the background will appear as a a gradient or a solid color.
  • Show Toolbar: (Embedded Mode Only) Enables and disables the Document Toolbar found on the SpinFire Reader desktop interface. Note: This command not available for a SpinFire object embedded in a Microsoft Office document.
  • Show Ruler: (2D Documents Only) Enables and disables a horizontal and vertical ruler.
  • Page Color: (2D Documents Only) Offers a selection of colors for the 2D page.
  • SpinFast™: (3D Documents Only) With SpinFast™ enabled, only a simplified representation of the model will appear during Rotate, Pan, and Zoom operations. SpinFast™ speeds movement of the model and is especially useful when working with very large models.
  • Document: (Embedded Mode Only)
    • Next: Makes the next document in the .3D WorkSpace active.
    • Previous: Make the previous document in the .3D WorkSpace active.
    • Save Copy: Saves a copy of the .3D file.
  • Help:
    • Contents: Opens the Reader help manual.
    • About SpinFire Reader: Displays the version number and other information about Actify SpinFire Reader.

What Is SpinFire Reader?

Desktop Mode Vs. Embedded Mode

Keyboard Shortcuts for Rotate, Pan, and Zoom

SpinFire Reader Desktop Interface

Document Toolbar

Right-Click Menu

Windows XP Service Pack 2 Users


Windows XP Service Pack 2 Users

When running Actify Reader on Windows XP Service Pack 2, Internet Explorer will display a security message before you can open a local .3D file.

To prevent this message from appearing, you will need to take the following steps to change a setting in Internet Explorer:

  1. Open an Internet Explorer window.
  2. Select Tools > Internet Options.

    3. This will open the Internet Options dialog box.

  3. Click the Advanced tab.

  4. Under Security, select the Allow active content to run files on My Computer check box.
  5. Click OK.

This issue affects only local files, not files hosted on web sites.

What Is SpinFire Reader?

Desktop Mode Vs. Embedded Mode

Keyboard Shortcuts for Rotate, Pan, and Zoom

SpinFire Reader Desktop Interface

Document Toolbar

Right-Click Menu

Windows XP Service Pack 2 Users